--AH:ScriptId=c8b96255-9b28-4b38-bacc-967489f3a56a;279
CREATE TABLE [UserClasses]
(
    [User_Name] USERNAME,
    [UserClassType_Code] CHAR(1),
    [DirectoryProvider_Id] INT,
    
    CONSTRAINT [PK__UserClasses]
        PRIMARY KEY ([User_Name], [DirectoryProvider_Id]),
    
    CONSTRAINT [FK__UserClasses__Providers]
        FOREIGN KEY ([DirectoryProvider_Id])
        REFERENCES [Providers] ([Provider_Id]),
    
    /* 
        UserClassType Domain Values:
         L - limited user (such as developer, DBA, etc.)
         A - approval only (such as a manager or tester)
        Note: If the user is not in the UserClasses table, the user 
              "has full access", meaning he can be assigned any privileges
    */
    CONSTRAINT [CK__UserClasses__UserClassType_Code__Domain] 
        CHECK ([UserClassType_Code] IN ('L', 'A')) 
)