EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_CreateManualExecution',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Execution_Id',
    /* Description_Text        */ 'Creates a manual execution.'
GO

IF OBJECT_ID('[Executions_CreateManualExecution]') IS NOT NULL DROP PROCEDURE [Executions_CreateManualExecution]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_CreateManualExecution]
(
	@ExecutionType_Name VARCHAR(50),
	@Execution_Configuration XML,
	@Execution_Id INT = NULL OUT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	INSERT INTO [Executions]
	(
		[Start_Date],
		[ExecutionStatus_Code],
		[ExecutionRunState_Code],
		[ExecutionMode_Code],
		[CreatedBy_User_Name],
		[CreatedOn_Date]
	)
	VALUES
	(
		GETUTCDATE(),
		'S',
		'P',
		'M',
		dbo.Session_GetUserName(),
		GETUTCDATE()
	)

	SET @Execution_Id = SCOPE_IDENTITY()

	INSERT INTO [ManualExecutions]
	(
		[Execution_Id],
		[ExecutionType_Name],
		[Execution_Configuration]
	)
	VALUES
	(
		@Execution_Id,
		@ExecutionType_Name,
		@Execution_Configuration
	)

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH
END
GO

GRANT EXECUTE ON [Executions_CreateManualExecution] TO [BuildMasterUser_Role]
