EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetReleaseNotes',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ReleaseNotes_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the release notes that match the specified criteria.'
GO

IF OBJECT_ID('[Releases_GetReleaseNotes]') IS NOT NULL DROP PROCEDURE [Releases_GetReleaseNotes]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetReleaseNotes]
(
	@Release_Id INT,
	@Build_Id INT = NULL
) 
AS BEGIN

	SELECT *
	  FROM [ReleaseNotes_Extended]
	 WHERE [Release_Id] = @Release_Id
	   AND (@Build_Id IS NULL OR [Build_Id] = @Build_Id)

END
GO

GRANT EXECUTE ON [Releases_GetReleaseNotes] TO [BuildMasterUser_Role]