EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'Releases_GetReleaseTargetDates',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'ReleaseTargetDates',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the release target dates for the specified criteria.'
GO

IF OBJECT_ID('[Releases_GetReleaseTargetDates]') IS NOT NULL DROP PROCEDURE [Releases_GetReleaseTargetDates]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Releases_GetReleaseTargetDates]
(
	@Release_Id INT = NULL
) 
AS BEGIN

	SELECT *
	  FROM [ReleaseTargetDates]
	 WHERE @Release_Id IS NULL 
        OR [Release_Id] = @Release_Id

END
GO

GRANT EXECUTE ON [Releases_GetReleaseTargetDates] TO [BuildMasterUser_Role]