﻿IF OBJECT_ID('[RepositoryMonitors_SetLastRunDate]') IS NOT NULL DROP PROCEDURE [RepositoryMonitors_SetLastRunDate]
GO

SET QUOTED_IDENTIFIER ON
GO

EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RepositoryMonitors_SetLastRunDate',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Sets the last run date of a repository monitor.'
GO

CREATE PROCEDURE [RepositoryMonitors_SetLastRunDate]
(
	@RepositoryMonitor_Id INT,
	@LastRun_Date DATETIME
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

	UPDATE [RepositoryMonitors]
	   SET [LastRun_Date] = @LastRun_Date
	 WHERE [RepositoryMonitor_Id] = @RepositoryMonitor_Id

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [RepositoryMonitors_SetLastRunDate] TO [BuildMasterUser_Role]
