EXEC [dbo].[__BuildMaster_AddStoredProcInfo]
    /* StoredProc_Name         */ 'RetentionPolicies_GetBuildCount',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ 'Build_Count',
    /* Description_Text        */ 'Gets the total number of builds in the specified scope.'
GO


IF OBJECT_ID('[RetentionPolicies_GetBuildCount]') IS NOT NULL DROP PROCEDURE [RetentionPolicies_GetBuildCount]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [RetentionPolicies_GetBuildCount]
(
	@Application_Id INT = NULL,
	@ApplicationGroup_Id INT = NULL,
	@Build_Count INT = NULL OUT
)
AS
BEGIN

	SET NOCOUNT ON

	IF @Application_Id IS NOT NULL
	BEGIN

		SELECT @Build_Count = COUNT(*)
		  FROM [Builds_Extended]
		 WHERE [Application_Id] = @Application_Id

	END
	ELSE IF @ApplicationGroup_Id IS NOT NULL
	BEGIN

		SELECT @Build_Count = COUNT(*)
		  FROM [Builds_Extended] B
		       INNER JOIN [Applications] A
			           ON A.[Application_Id] = B.[Application_Id]
		 WHERE A.[ApplicationGroup_Id] = @ApplicationGroup_Id

	END
	ELSE
	BEGIN

		SELECT @Build_Count = COUNT(*)
		  FROM [Builds]

	END

END
GO

GRANT EXECUTE ON [RetentionPolicies_GetBuildCount] TO [BuildMasterUser_Role]